package com.gic.haoban.manage.service.service.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeAccountStaff;

/**
 * 企业微信收费订单成员激活详情(TabHaobanQywxFeeAccountStaff)表服务接口
 *
 * @author mozhu
 * @since 2022-08-03 16:12:32
 */
public interface HaobanQywxFeeAccountStaffService {

    /**
     * 通过ID查询单条数据
     *
     * @param feeAccountId 主键
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountStaff queryById(Long feeAccountId);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeAccountStaff 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountStaff insert(TabHaobanQywxFeeAccountStaff tabHaobanQywxFeeAccountStaff);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFeeAccountStaff 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeAccountStaff update(TabHaobanQywxFeeAccountStaff tabHaobanQywxFeeAccountStaff);

    /**
     * 通过主键删除数据
     *
     * @param feeAccountId 主键
     * @return 是否成功
     */
    boolean deleteById(Long feeAccountId);

}
