package com.gic.haoban.manage.service.service.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeOrderAccount;

/**
 * 企业微信收费订单账号(激活码)(TabHaobanQywxFeeOrderAccount)表服务接口
 *
 * @author mozhu
 * @since 2022-08-03 16:12:33
 */
public interface HaobanQywxFeeOrderAccountService {

    /**
     * 通过ID查询单条数据
     *
     * @param feeAccountId 主键
     * @return 实例对象
     */
    TabHaobanQywxFeeOrderAccount queryById(Long feeAccountId);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeOrderAccount 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeOrderAccount insert(TabHaobanQywxFeeOrderAccount tabHaobanQywxFeeOrderAccount);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFeeOrderAccount 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeOrderAccount update(TabHaobanQywxFeeOrderAccount tabHaobanQywxFeeOrderAccount);

    /**
     * 通过主键删除数据
     *
     * @param feeAccountId 主键
     * @return 是否成功
     */
    boolean deleteById(Long feeAccountId);

}
