package com.gic.haoban.manage.service.service.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFee;

/**
 * 企业微信收费(TabHaobanQywxFee)表服务接口
 *
 * @author mozhu
 * @since 2022-08-03 16:12:30
 */
public interface HaobanQywxFeeService {

    /**
     * 通过ID查询单条数据
     *
     * @param qwFeeId 主键
     * @return 实例对象
     */
    TabHaobanQywxFee queryById(Long qwFeeId);

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFee insert(TabHaobanQywxFee tabHaobanQywxFee);

    /**
     * 修改数据
     *
     * @param tabHaobanQywxFee 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFee update(TabHaobanQywxFee tabHaobanQywxFee);

    /**
     * 通过主键删除数据
     *
     * @param qwFeeId 主键
     * @return 是否成功
     */
    boolean deleteById(Long qwFeeId);

}
